Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
evaluation_config = client.evaluation_configs.retrieve(
"evaluation_config_id",
)
print(evaluation_config.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluationConfig, err := client.EvaluationConfigs.Get(context.TODO(), "evaluation_config_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluationConfig.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-configs/{evaluation_config_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluation-configs/{evaluation_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_type": "studio",
"question_set_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"studio_project_id": "<string>",
"auto_evaluation_model": "gpt-4-32k-0613",
"auto_evaluation_parameters": {
"temperature": 1,
"batch_size": 13
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluation Configs
Get Evaluation Config
Description
Gets the details of a evaluation config
Details
This API can be used to get information about a single evaluation config by ID. To use this API, pass in the id that was returned from your Create Evaluation Config API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
evaluation-configs
/
{evaluation_config_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
evaluation_config = client.evaluation_configs.retrieve(
"evaluation_config_id",
)
print(evaluation_config.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluationConfig, err := client.EvaluationConfigs.Get(context.TODO(), "evaluation_config_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluationConfig.ID)
}
Path Parameters
Response
Successful Response
Evaluation type
Available options:
studio, llm_auto, human, llm_benchmark The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The name of the model to be used for auto-evaluation
Available options:
gpt-4-32k-0613, gpt-4-turbo-preview, gpt-4-turbo-2024-04-09, gpt-4o-2024-05-13, gpt-4o, gpt-4o-mini-2024-07-18, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano, gpt-5-nano, gpt-5-mini, gpt-5, gpt-5.1, gpt-5.2, o1, o1-mini, o3, o3-mini, o3-mini-2025-01-31, o4-mini, gpt-oss-120b, gpt-oss-20b, llama-3-70b-instruct, llama-3-1-70b-instruct, llama-3-70b-instruct-bedrock Execution parameters for auto-evaluation
Show child attributes
Show child attributes

